ACCTCMS(8)

NAME
acctcms - command summary from per-process accounting records

SYNOPSIS
/usr/lib/acct/acctcms [ -cjnst ] filename...

/usr/lib/acct/acctcms [ -a [ po ] [ cjnstpo ] filename...

DESCRIPTION

acctcms reads one or more filenames, normally in the form described in acct(5). It adds all records for processes that executed identically-named commands, sorts them, and writes them to the standard output, normally using an internal summary format.

OPTIONS

-a  Print output in ASCII rather than in the internal summary format. The output includes command name, number of times executed, total kcore-minutes, total CPU minutes, total real minutes, mean size (in K), mean CPU minutes per invocation, “hog factor”, characters transferred, and blocks read and written, as in acctcom(1). Output is normally sorted by total kcore-minutes.

-c  Sort by total CPU time, rather than total kcore-minutes.

-j  Combine all commands invoked only once under “***other”.

-n  Sort by number of processes.

-s  Any file names encountered hereafter are already in internal summary format.

-t  Process all records as total accounting records. The default internal summary format splits each field into prime and non-prime time parts. This option combines the prime and non-prime time parts into a single field that is the total of both.

The following options may be used only with the -a option.

-p  Output a prime-time-only command summary.

-o  Output a non-prime (offshift) time only command summary.

When -p and -o are used together, a combination prime and non-prime time report is produced. All the output summaries will be total usage except number of times executed, CPU minutes, and real minutes which will be split into prime and non-prime.

EXAMPLES

A typical sequence for performing daily command accounting and for maintaining a running total is:

    acctcms file ... >today
    cp total previoustotal
    acctcms -s today previoustotal >total
    acctcms -a -s today

SEE ALSO
acctcom(1), acct(2V), acct(5), utmp(5V), acct(8), acctcon(8), acctmerg(8), acctprc(8), acctsh(8), fwtmp(8), runacct(8)

BUGS

Unpredictable output results if -t is used on new style internal summary format files, or if it is not used with old style internal summary format files.